#Betaplay Android SDK#

* simple ACRA extension witch uses HttpClient to POST json data to BetaPlayApp server
* place acra-4.4.0.jar and betaplay.jar into your lib folder and start using

**Example how to use:**

<pre>
MyCustomApplication.java:

import org.acra.annotation.ReportsCrashes;
import com.betaplay.sdk.Betaplay;

@ReportsCrashes(formKey = "{your_form_key_here}", formUri = "https://betaplayapp.com/api/log")
public class AtcApplication extends Application {
	@Override
	public void onCreate() {
		Betaplay.init(this);
		super.onCreate();
	}
}

</pre>

**Don't forget on your manifest:**

<pre>
AndroidManifest.xml

&lt;manifest xmlns:android="…"
    package="your.package"
    android:versionCode="1"
    android:versionName="1.0" &gt;
    
    &lt;!-- This is important --&gt
    &lt;uses-permission android:name="android.permission.READ_LOGS"/&gt
    &lt;uses-permission android:name="android.permission.INTERNET"/&gt
    
    &lt;application
        android:name="com.yourpackage.MyCustomApplication"
        android:debuggable="true"&gt
        
    &lt;/application&gt

</pre>